searchData={"items":[{"type":"module","title":"ReqHex","doc":"Req plugin for [Hex](https://hex.pm).\n\nReqHex automatically decodes Hex registry resources and tarballs on these endpoints:\n\n```text\nhttps://repo.hex.pm/names\nhttps://repo.hex.pm/versions\nhttps://repo.hex.pm/packages/ \nhttps://repo.hex.pm/tarballs/ - .tar\n```","ref":"ReqHex.html"},{"type":"function","title":"ReqHex.attach/1","doc":"Runs the plugin.","ref":"ReqHex.html#attach/1"},{"type":"function","title":"Examples - ReqHex.attach/1","doc":"iex> req = Req.new(base_url: \"https://repo.hex.pm\") |> ReqHex.attach()\n    iex> Req.get!(req, url: \"/versions\").body |> Enum.find(& &1.name == \"req\")\n    %{\n      name: \"req\",\n      retired: [],\n      versions: [\"0.1.0\", \"0.1.1\", \"0.1.2\", \"0.2.0\", \"0.2.1\", \"0.2.2\", ...]\n    }\n    iex> tarball = Req.get!(req, url: \"/tarballs/req-0.1.0.tar\").body\n    iex> tarball[\"metadata.config\"][\"links\"]\n    %{\"GitHub\" => \"https://github.com/wojtekmach/req\"}","ref":"ReqHex.html#attach/1-examples"},{"type":"extras","title":"ReqHex","doc":"# ReqHex\n\n[Req](https://github.com/wojtekmach/req) plugin for [Hex API](https://github.com/hexpm/specifications/blob/main/endpoints.md#repository).\n\nReqHex automatically decodes Hex registry resources and tarballs on these endpoints:\n\n```text\nhttps://repo.hex.pm/names\nhttps://repo.hex.pm/versions\nhttps://repo.hex.pm/packages/ \nhttps://repo.hex.pm/tarballs/ - .tar\n```","ref":"readme.html"},{"type":"extras","title":"Usage - ReqHex","doc":"```elixir\nMix.install([\n  {:req, \"~> 0.3.0\"},\n  {:req_hex, \"~> 0.1.0\"}\n])\n\nreq = Req.new(base_url: \"https://repo.hex.pm\") |> ReqHex.attach()\n\nReq.get!(req, url: \"/versions\").body |> Enum.find(& &1.name == \"req\")\n#=>\n# %{\n#   name: \"req\",\n#   retired: [],\n#   versions: [\"0.1.0\", \"0.1.1\", \"0.1.2\", \"0.2.0\", \"0.2.1\", \"0.2.2\", ...]\n# }\n\ntarball = Req.get!(req, url: \"/tarballs/req-0.1.0.tar\").body\n\ntarball[\"metadata.config\"][\"links\"]\n#=> %{\"GitHub\" => \"https://github.com/wojtekmach/req\"}\n\nIO.puts body[\"contents.tar.gz\"][\"mix.exs\"]\n# Outputs:\n# defmodule Req.MixProject do\n#   use Mix.Project\n#\n#   @version \"0.1.0\"\n#   @source_url \"https://github.com/wojtekmach/req\"\n#\n#   def project do\n#     [\n#       app: :req,\n#       version: \"0.1.0\",\n#       elixir: \"~> 1.11\",\n#       start_permanent: Mix.env() == :prod,\n#       deps: deps(),\n#       package: package(),\n#       docs: docs(),\n#       xref: [\n#         exclude: [\n#           NimbleCSV.RFC4180\n#         ]\n#       ]\n#     ]\n#   end\n#   ...\n:ok\n```","ref":"readme.html#usage"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.1.1 (2023-09-01) - CHANGELOG","doc":"* Support Req v0.4.","ref":"changelog.html#v0-1-1-2023-09-01"},{"type":"extras","title":"v0.1.0 (2022-08-24) - CHANGELOG","doc":"* Initial release","ref":"changelog.html#v0-1-0-2022-08-24"}],"content_type":"text/markdown"}